<?php
/**
 * 
 * Theme sidebar used on all pages
 * 
 * @package clutterless
 * @since clutterless 2.6
 *  @license CCA 3.0
 * 
 */
?>

<div id="sidebar">
  
		<div id="sidebar-name">

		  <span class="sidebar-name-wrap"><a href="#"><?php bloginfo('name'); ?></a></span>

		</div><!-- #sidebar-name -->
		
		<div id="sidebar-inner">
   
				<div id="sidebar-logo">

					<div class="logo">
		  
						<?php if ( get_theme_mod( 'clutterless_logo' ) ) : ?>

						<div class="logo-image">

							<a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'>
								<img src='<?php echo esc_url( get_theme_mod( 'clutterless_logo' ) ); ?>' alt='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>'>
							</a>

						</div><!-- .logo-image -->
							
						<?php else : ?>

						<!-- no logo -->

						<?php endif; ?>

						<div class="logo-name-holder">

							<div class="logo-name">
						
								<a href="<?php print get_home_url(); ?>" title="<?php bloginfo('name'); ?> - <?php bloginfo('description'); ?>"><?php bloginfo('name'); ?></a>
	  		
							</div><!-- .logo-name -->

							<div class="tagline">

								<?php bloginfo('description'); ?>
								
							</div><!-- .tagline -->

							<div class="clear"></div>					

						</div>

					</div><!-- #logo -->
		
				</div><!-- #sidebar-logo -->
				
				<!-- Mobile dropdown menu button -->
				<div id="sidebar-dropdown">
					 <a href="#"><svg enable-background="new 0 0 24 24" fill="#FFFFFF" height="24px" version="1.1" viewBox="0 0 24 24" width="24px" x="0px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" y="0px"><g><g><path d="M23.244,17.009H0.75c-0.413,0-0.75,0.36-0.75,0.801v3.421C0,21.654,0.337,22,0.75,22h22.494c0.414,0,0.75-0.346,0.75-0.77    V17.81C23.994,17.369,23.658,17.009,23.244,17.009z M23.244,9.009H0.75C0.337,9.009,0,9.369,0,9.81v3.421    c0,0.424,0.337,0.769,0.75,0.769h22.494c0.414,0,0.75-0.345,0.75-0.769V9.81C23.994,9.369,23.658,9.009,23.244,9.009z     M23.244,1.009H0.75C0.337,1.009,0,1.369,0,1.81V5.23c0,0.423,0.337,0.769,0.75,0.769h22.494c0.414,0,0.75-0.346,0.75-0.769V1.81    C23.994,1.369,23.658,1.009,23.244,1.009z"/></g></g></svg></a>
				</div><!-- #sidebar-dropdown -->
				
				<div class="clear"></div>
				
				<!-- This is what slides down on mobile menu click -->
				<div id="sidebar-mobile-info">
							 
							  <div id="sidebar-bio">
		  
									  <?php
											$clutterless_about = wp_kses_post(get_option( 'clutterless_about', 'Tell your readers why you are blogging and why they should follow you. Some basic code is cool too. You can edit this blog description in Content setup section of the <a href="./wp-admin/customize.php?autofocus[section]=clutterless_customizer_setup_content_option">Theme Customizer</a>.' ));
											  echo $clutterless_about;
										?>

							  </div><!-- /#sidebar-bio -->
				
							  <div class="clear"></div>
		
							  <div id="sidebar-widgets">
		  
								 <?php dynamic_sidebar( 'clutterless-sidebar-1' ); ?>
		  
							  </div><!-- #sidebar-widgets -->
				
							  <div class="clear"></div>

							  <div id="search">
		  
									  <form id="search-form"  action="<?php print get_site_url(); ?>/" method="post">
											<input type="text" id="search-field" name="s" placeholder="Search..." />
											<input type="submit" id="search-button" value="" />
										</form>
		  
							  </div><!-- #search -->
		
							  <div class="clear"></div>
				
							  <div id="sidebar-credit">
								<p><?php 
								// To edit this credit please buy a license here: https://onepagelove.com/clutterless
								$clutterless_credit_pro = wp_kses_post(get_option( 'clutterless_credit_pro_free', '<a href=\"https://onepagelove.com/clutterless\">Clutterless WordPress Theme</a> <span class=\"by\">by</span> <a href=\"https://onepagelove.com\">One Page Love</a>' ));
								echo $clutterless_credit_pro;
								?></p>
							  </div><!-- #sidebar-credit -->

							  <div class="clear"></div>
				
				</div><!-- #sidebar-mobile-info -->

		</div><!-- sidebar-inner -->
  
</div><!-- sidebar -->